Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface BuildDao

All Superinterfaces:
  BambooObjectDao

All Known Implementing Classes:
  BuildHibernateDao

    public interface BuildDao

extends BambooObjectDao

Method Summary
`void` | `addChildBuild(Build build, String childBuildKey)`
`Collection` | `getAllBuilds()` Returns all builds in the system
`Build` | `getBuildByKey(String key)` Returns a `Build` object that matches the key.
`Build` | `getBuildByName(String buildName)`
`Build` | `getBuildByProjectAndName(String projectKey, String buildName)`
`boolean` | `isExistingBuildKey(String projectKey, String buildKey)`
`boolean` | `isExistingBuildName(String projectKey, String buildName)`
`int` | `retrieveNextBuildNumber(Build build)`
`void` | `saveBuild(Build build)`
`void` | `saveBuildAndDefinition(Build build)`
`void` | `updateBuild(Build build)`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Method Detail

### getBuildByKey

    Build getBuildByKey(String key)

  Returns a `Build` object that matches the key.

  Parameters:
    `key` - - must not be null
  Returns:
    the `Build`. Null if not founf

### getAllBuilds

    Collection getAllBuilds()

  Returns all builds in the system

  Returns:
    `Collections.EMPTY_LIST`

### updateBuild

    void updateBuild(Build build)

### getBuildByName

    Build getBuildByName(String buildName)

### saveBuildAndDefinition

    void saveBuildAndDefinition(Build build)

### saveBuild

    void saveBuild(Build build)

### retrieveNextBuildNumber

    int retrieveNextBuildNumber(Build build)

### isExistingBuildName

    boolean isExistingBuildName(String projectKey,
                                String buildName)

### getBuildByProjectAndName

    Build getBuildByProjectAndName(String projectKey,
                                   String buildName)

### isExistingBuildKey

    boolean isExistingBuildKey(String projectKey,
                               String buildKey)

### addChildBuild

    void addChildBuild(Build build,
                       String childBuildKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.